%define origname FErari

Name:           python-module-ferari
Version:        0.0.2
Release:        alt2.M50.1
Summary:        Optimizer for finite element code
Group:          Development/Python
License:        LGPL
URL:            http://www.math.ttu.edu/~kirby
Source:        http://www.fenics.org/pub/software/ferari/FErari-0.0.2.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildArch: noarch

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel = %__python_version
%setup_python_module %origname
%py_requires ffc

%description
FErari (Finite Element rearrangement to automatically reduce instructions)
generates optimized code for evaluation of the element tensor (element stiffness
matrix) and functions as an optimizing backend for FFC.

%prep
%setup

%build
%__python setup.py build

%install
CFLAGS="%optflags" %__python setup.py install \
	--root=%buildroot --optimize=2

%files
%python_sitelibdir/*

%changelog
* Tue May 05 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.0.2-alt2.M50.1
- Port for Branch 5.0

* Tue May 05 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.0.2-alt3
- Remove dependence on util (this is really pg)

* Sat Apr 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.0.2-alt2
- Add requirement on python%__python_version(ffc)

* Sat Apr 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.0.2-alt1
- Initial build for Sisyphus
